{% load static %}

<!DOCTYPE html>
<html lang="en" data-theme='light'>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>NDF</title>
    <link rel="icon" type="image/png" href="{% static "favicon.ico " %}">
    <link rel="stylesheet" href="{% static "classless.css" %}">
    <link rel="stylesheet" href="{% static "style.css" %}">
    {% block head %}
    {% endblock %}
  </head>
  <body>
    <nav>
      <ul class="sticky">
        <li><a href="{% url "index" %}">NDF</a></li>
        <li><a href="{% url "expense-report-create" %}">Créer une note de frais</a></li>
        <li><a href="{% url "help" %}">Aide</a></li>

        <li class="float-right"><a href="{% url "user-banking-information-detail" request.user.banking_information.pk %}">{{ request.user.username }}</a></li>
        {% if perms.expense_report.manage_expense_report %}
        <li class="float-right"><a href="{% url "user-banking-information-list" %}">Tous les utilisateurs</a></li>
        <li class="float-right"><a href="{% url "expense-report-list" %}">Toutes les notes de frais</a></li>
        {% endif %}
      </ul>
    </nav>
    <main style="text-align: center;">
      {% if messages %}
        {% for message in messages %}
        <blockquote{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</blockquote>
        {% endfor %}
      {% endif %}

      <center style="display: inline-grid;">
        {% block content %}
        {% endblock %}
      </center>
    </main>
    {% block scripts %}
    {% endblock %}
  </body>
</html>
